Retrieve a Prompt Template in a Project
get
/ic/api/integration/v1/projects/{projectId}/ai/templates/{id}
Returns details of a specific Prompt Template.
Request
Path Parameters
-
id(required): string
Prompt Template identifier
-
projectId(required): string
Project identifier
Query Parameters
-
integrationInstance(required): string
This is the name of the service instance. You can get this value from the About page where it is specified in the Service instance field.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json;charset=utf-8, application/vnd.oracle.model+json;type=singular
200 Response
Successful operation
Nested Schema : type
Type:
Show Source
object-
code: string
Code
-
content: string
Content
-
created: string
(date-time)
Created Date
-
createdBy: string
Created By
-
description: string
Prompt Template Description
-
lastUpdated: string
(date-time)
Last Updated
-
lastUpdatedBy: string
Last Updated By
-
lockedBy: string
Locked By
-
lockedDate: string
(date-time)
Locked Date
-
lockedFlag: boolean
Locked Flag
-
mapped: boolean
Mapped
-
name: string
Prompt Template Name
-
projectId: string
Project id
-
status: string
Status
-
typeId: string
Type id
-
usage: integer
(int32)
Prompt Template Usage
-
version: string
Version
404 Response
Prompt Template not found
500 Response
Server error
Examples
The following example shows how to retrieve a specific prompt template by submitting a GET request on the REST resource using cURL. For more information about cURL, see Use cURL. For more information about endpoint URL structure, see Send Requests.
Example: Retrieve prompt template ORDER_CREATION_PROMPT
This command retrieves the specified prompt template.
The id is in the form: code%7Cversion. The %7C is the encoded | (vertical line).
curl -X GET -H 'Authorization: Bearer access_token' https://design.integration.region.ocp.oraclecloud.com/ic/api/integration/v1/projects/TEST_PROJECT/ai/templates/ORDER_CREATION_PROMPT%7C01.00.0000?integrationInstance=service-instance